RetriedSliceFromReadCommand (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db
Class RetriedSliceFromReadCommand

    java.lang.Object
      org.apache.cassandra.db.ReadCommand
          org.apache.cassandra.db.SliceFromReadCommand
              org.apache.cassandra.db.RetriedSliceFromReadCommand

All Implemented Interfaces:
  MessageProducer, IReadCommand

    public class RetriedSliceFromReadCommand

extends SliceFromReadCommand

Field Summary
`int` | `originalCount`

Fields inherited from class org.apache.cassandra.db.SliceFromReadCommand
`count, finish, reversed, start`

Fields inherited from class org.apache.cassandra.db.ReadCommand
`CMD_TYPE_GET_SLICE, CMD_TYPE_GET_SLICE_BY_NAMES, commandType, key, queryPath, table`

Constructor Summary
`RetriedSliceFromReadCommand(java.lang.String table, java.nio.ByteBuffer key, ColumnParent column_parent, java.nio.ByteBuffer start, java.nio.ByteBuffer finish, boolean reversed, int originalCount, int count)`
`RetriedSliceFromReadCommand(java.lang.String table, java.nio.ByteBuffer key, QueryPath path, java.nio.ByteBuffer start, java.nio.ByteBuffer finish, boolean reversed, int originalCount, int count)`

Method Summary
`ReadCommand` | `copy()`
`int` | `getOriginalRequestedCount()` The original number of columns requested by the user.
`java.lang.String` | `toString()`

Methods inherited from class org.apache.cassandra.db.SliceFromReadCommand
`getRow, maybeGenerateRetryCommand, maybeTrim`

Methods inherited from class org.apache.cassandra.db.ReadCommand
`getColumnFamilyName, getComparator, getKeyspace, getMessage, isDigestQuery, serializer, setDigestQuery`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### originalCount

    public final int originalCount

Constructor Detail

### RetriedSliceFromReadCommand

    public RetriedSliceFromReadCommand(java.lang.String table,
                                       java.nio.ByteBuffer key,
                                       ColumnParent column_parent,
                                       java.nio.ByteBuffer start,
                                       java.nio.ByteBuffer finish,
                                       boolean reversed,
                                       int originalCount,
                                       int count)

### RetriedSliceFromReadCommand

    public RetriedSliceFromReadCommand(java.lang.String table,
                                       java.nio.ByteBuffer key,
                                       QueryPath path,
                                       java.nio.ByteBuffer start,
                                       java.nio.ByteBuffer finish,
                                       boolean reversed,
                                       int originalCount,
                                       int count)

Method Detail

### copy

    public ReadCommand copy()

  Overrides:
    `copy` in class `SliceFromReadCommand`

### getOriginalRequestedCount

    public int getOriginalRequestedCount()

  Description copied from class: `SliceFromReadCommand`
  The original number of columns requested by the user. This can be different from count when the slice command is a retry (see RetriedSliceFromReadCommand)

  Overrides:
    `getOriginalRequestedCount` in class `SliceFromReadCommand`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SliceFromReadCommand`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation